Chromium Code Reviews
Help | Chromium Project | Sign in
(20)

Issue 2786843002: Make HeapObjectHeader::checkHeader private. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month ago by palmer
Modified:
4 weeks ago
Reviewers:
haraken
CC:
Mads Ager (chromium), blink-reviews, blink-reviews-bindings_chromium.org, chromium-reviews, kinuko+watch, kouhei+heap_chromium.org, oilpan-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Make HeapObjectHeader::checkHeader private. The function is properly private; callers should not have to 'know' when it's necessary and when it isn't. It's the object's job to enforce its own internal invariants. BUG=633030 Review-Url: https://codereview.chromium.org/2786843002 Cr-Commit-Position: refs/heads/master@{#461220} Committed: https://chromium.googlesource.com/chromium/src/+/a459a6e71008ba58aaec1a9a95ac20b5864d5e82

Patch Set 1 #

Total comments: 2

Patch Set 2 : Provide |checkFromPayload| for outside callers. #

Patch Set 3 : Move back to DCHECK; will do CHECK in a follow-up CL. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+40 lines, -42 lines) Patch
M third_party/WebKit/Source/bindings/core/v8/TraceWrapperMember.h View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/heap/GCInfo.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/heap/HeapAllocator.h View 2 chunks +0 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/heap/HeapAllocator.cpp View 3 chunks +0 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/platform/heap/HeapPage.h View 1 2 6 chunks +36 lines, -22 lines 0 comments Download
M third_party/WebKit/Source/platform/heap/HeapPage.cpp View 8 chunks +0 lines, -8 lines 0 comments Download
M third_party/WebKit/Source/platform/heap/Member.h View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/heap/TraceTraits.h View 1 4 chunks +1 line, -4 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 22 (13 generated)
palmer
PTAL!
1 month ago (2017-03-30 01:04:04 UTC) #2
haraken
https://codereview.chromium.org/2786843002/diff/1/third_party/WebKit/Source/bindings/core/v8/TraceWrapperMember.h File third_party/WebKit/Source/bindings/core/v8/TraceWrapperMember.h (right): https://codereview.chromium.org/2786843002/diff/1/third_party/WebKit/Source/bindings/core/v8/TraceWrapperMember.h#newcode31 third_party/WebKit/Source/bindings/core/v8/TraceWrapperMember.h:31: (void)HeapObjectHeader::fromPayload(m_parent); I'd prefer having HeapObjectHeader::checkHeader() instead of using (void) ...
1 month ago (2017-03-30 14:12:46 UTC) #7
palmer
> I'd prefer having HeapObjectHeader::checkHeader() instead of using (void) though. I'd really prefer to keep ...
4 weeks, 1 day ago (2017-03-30 19:58:28 UTC) #8
haraken
LGTM On 2017/03/30 19:58:28, palmer wrote: > > I'd prefer having HeapObjectHeader::checkHeader() instead of using ...
4 weeks, 1 day ago (2017-03-31 00:02:20 UTC) #9
palmer
> Can you factor out the DCHECK => CHECK change in a separate CL? Done; ...
4 weeks, 1 day ago (2017-03-31 00:13:57 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2786843002/40001
4 weeks, 1 day ago (2017-03-31 00:15:29 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/339868)
4 weeks, 1 day ago (2017-03-31 01:45:05 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2786843002/40001
4 weeks ago (2017-03-31 19:41:44 UTC) #19
commit-bot: I haz the power
4 weeks ago (2017-03-31 20:54:05 UTC) #22
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/a459a6e71008ba58aaec1a9a95ac...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46